Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface BinomialDistC

All Known Implementing Classes:
  BinomialDistCImpl

public interface BinomialDistC
extends UnsignedDistributionC, UnsignedDistributionS

Binomial distribution. The binomial distribution gives the discrete probability of obtaining exactly n successes out of N Bernoulli trials

Method Summary
`java.lang.Object` | `create$setGenerator(Zone aZone, SimpleRandomGenerator generator)` Use this create message if the generator to be attached is a Simple one:
`java.lang.Object` | `create$setGenerator$setNumTrials$setProbability(Zone aZone, SimpleRandomGenerator generator, int aNumTrials, double aProbability)` Use this create message if the generator to be attached is a Simple one: and both the number of trials and the probability are to be set at create time:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator(Zone aZone, SplitRandomGenerator generator, int vGen)` Use this create message if the generator to be attached is a Split one:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setNumTrials$setProbability(Zone aZone, SplitRandomGenerator generator, int vGen, int aNumTrials, double aProbability)` Use this create message if the generator to be attached is a Split one and both the number of trials and the probability are to be set at create time:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator

    public java.lang.Object create$setGenerator(Zone aZone,
                                                SimpleRandomGenerator generator)

  Use this create message if the generator to be attached is a Simple one:

### create$setGenerator$setNumTrials$setProbability

    public java.lang.Object create$setGenerator$setNumTrials$setProbability(Zone aZone,
                                                                            SimpleRandomGenerator generator,
                                                                            int aNumTrials,
                                                                            double aProbability)

  Use this create message if the generator to be attached is a Simple one: and both the number of trials and the probability are to be set at create time:

### create$setGenerator$setVirtualGenerator

    public java.lang.Object create$setGenerator$setVirtualGenerator(Zone aZone,
                                                                    SplitRandomGenerator generator,
                                                                    int vGen)

  Use this create message if the generator to be attached is a Split one:

### create$setGenerator$setVirtualGenerator$setNumTrials$setProbability

    public java.lang.Object create$setGenerator$setVirtualGenerator$setNumTrials$setProbability(Zone aZone,
                                                                                                SplitRandomGenerator generator,
                                                                                                int vGen,
                                                                                                int aNumTrials,
                                                                                                double aProbability)

  Use this create message if the generator to be attached is a Split one and both the number of trials and the probability are to be set at create time:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD